Skip to main content
`Ctrl`+`K`

# DMPlexSetPartitioner

Set the mesh partitioner

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexSetPartitioner(DM dm, PetscPartitioner part)

logically Collective

## Input Parameters

- dm - The `DM`

- part - The partitioner

## Note

Any existing `PetscPartitioner` will be destroyed.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `PetscPartitioner`, `DMPlexDistribute()`, `DMPlexGetPartitioner()`, `PetscPartitionerCreate()`

## Level

developer

## Location

src/dm/impls/plex/plexpartition.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages